1. Device
Anzenna Public API
  • How To Use the Anzenna Public API
  • AI Governance
    • Query all Shadow AI instances
      POST
    • Get a Shadow AI instance by id
      GET
    • Query all AI interactions
      POST
    • Get an AI interaction by id
      GET
    • List MCP servers
      POST
    • Get an MCP server
      GET
    • Query MCP server installations
      POST
  • Investigation
    • Query all investigations
      POST
    • Start an investigation
      POST
    • Get an investigation by id
      GET
    • Dismiss an investigation
      POST
    • Get detection investigation prompts
      GET
    • Get global investigation prompts
      GET
    • Get user investigation prompts
      GET
    • Query all risk registers
      POST
    • Query all risk register catalog entries
      POST
  • Identity
    • List accounts
    • Get an account by id
    • List login events
    • Get a login event by ID
    • Query all mfa statuses
    • Get an MFA status by id
    • Query all OAuth applications
    • Get an OAuth application by id
    • Query all OAuth application instances
    • Query all password reuse instances
  • Advanced
    • Execute an advanced query
    • List security events
    • Receive a webhook event
    • Query raw events
  • Detection
    • Query all allowlists
    • Create a new allowlist
    • Delete an allowlist
    • Update an allowlist
    • Get an anomaly by ID
    • Get key finding detections
    • Get detection details
    • List users associated with a given detection
    • Execute a remediation
  • Browser
    • Query all browser applications
    • Get a browser application by id
    • List browser application instances
    • List browser history entries
    • Query all remote machines
    • Get a remote machine by id
    • Query all web host resources
    • Get a web host resource by id
  • Data & IP
    • Query database exfiltration events
    • List file delete events
    • List file movement activities
    • Get file movement activity by id
    • List files used with data exfiltration.
    • Get a specific data exfiltration file
    • List git events
    • Get a specific git event by id
    • List git repositories
    • Get a specific git repository
    • List file sharing instances
    • Query database share grants
    • Query database share user additions
    • List documents
    • Get document by id
    • List DLP policies
    • Get a DLP policy by id
    • List DLP policy detectors
    • Query all DLP alerts
    • Get a DLP alert by id
  • Device
    • List devices
      POST
    • Get a device
      GET
    • List device applications
      POST
    • Get a device application
      GET
    • Query device application instances.
      POST
    • List device infections
      POST
    • Get a device infection
      GET
    • List device policies
      POST
    • Get a device policy
      GET
    • List USB device connection events
      POST
    • Get a USB connection event
      GET
    • List IDE applications
      POST
    • Get an IDE application
      GET
    • Query IDE application instances.
      POST
  • Email
    • Query all outbound email events
    • Get an outbound email event by id
    • Query all phishing interactions
  • Company
    • List groups
    • Query all people
    • Get departure analysis for a person
    • Get a person by id
    • Add a category to multiple people
    • Remove a category from multiple people
    • Get company risk trends
    • Get number of high risk organizations
  • SaaS
    • Query all Shadow IT instances
  • Outreach
    • List training campaigns
    • Create a training campaign
  • API Key
    • Get API key information
  1. Device

List USB device connection events

POST
/devices/usb-connections
Query and filter USB device connection events. These events track when USB devices
are connected to devices in your environment, including device identification and risk assessment.
Disconnected connections are included; filter on disconnected_time IS NULL for ones still connected.
Relations:
device (Device): The device where the USB connection occurred

Request

Authorization
Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
Successful operation
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/devices/usb-connections' \
--header 'Content-Type: application/json' \
--data '{
    "distinct_count": "string",
    "distinct_on": "host_name",
    "include_total_count": true,
    "limit": 10,
    "offset": 0,
    "query": "name='\''WINPC-4291'\'' AND status IN ('\''active'\'', '\''pending'\'')",
    "sort": "name desc, id"
}'
Response Response Example
{
    "distinct_values": [
        {
            "count": 0,
            "value": null
        }
    ],
    "pagination": {
        "count": 0,
        "total_count": 1000
    },
    "items": [
        {
            "connection_count": 5,
            "device": {
                "activation_lock": "unspecified",
                "active_usb_connections": {
                    "composite_count": 0,
                    "hid_count": 2,
                    "kvm_count": 0,
                    "max_usb_risk_level": 1,
                    "network_adapter_count": 0,
                    "storage_count": 1,
                    "unknown_count": 0
                },
                "antivirus": "unspecified",
                "apps_installed": 47,
                "disk_encryption": "unspecified",
                "employee_email": "joe.smith@example.com",
                "employee_name": "Joe Smith",
                "id": "8CA67511-744C-4D74-B26E-7281CF88712F",
                "last_seen": "2021-01-01T00:00:00Z",
                "last_usb_usage": "2021-01-01T00:00:00Z",
                "local_user_accounts": [
                    {
                        "admin": true,
                        "name": "John Doe",
                        "user_id": "S-1-5-21-1234567890-1234567890-1234567890-1001",
                        "username": "john.doe"
                    }
                ],
                "mac_addresses": [
                    "00:1B:44:11:3A:B7"
                ],
                "mdm": "unspecified",
                "model": "MacBook Pro",
                "name": "Joe's Mac",
                "platform": "windows",
                "risk_factors": [
                    {
                        "magnitude": 40,
                        "type": "sensitive_file"
                    }
                ],
                "risk_score": 9.2,
                "serial_number": "C02X1234DC79",
                "sources": [
                    "unspecified"
                ]
            },
            "device_instance_id": "USB\\VID_1050&PID_0407\\serial&2",
            "device_serial_number": "123456789",
            "device_type": "hid",
            "disconnected_time": "2024-01-15T11:00:00Z",
            "latest_connected_time": "2024-01-15T10:30:00Z",
            "manufacturer": "Yubico",
            "network_origin": {
                "geographic_location": {
                    "city": "San Francisco",
                    "country": "United States",
                    "country_code": "US",
                    "latitude": 0,
                    "longitude": 0,
                    "region": "California",
                    "timezone": "America/Los_Angeles"
                },
                "ip": "203.0.113.45",
                "network": {
                    "asn": "AS15169",
                    "asn_name": "Google LLC",
                    "host_type": [
                        "HOSTING",
                        "ANYCAST"
                    ]
                },
                "privacy": {
                    "privacy_mode": [
                        "VPN"
                    ],
                    "service_name": "NordVPN"
                }
            },
            "product_id": 1031,
            "product_name": "YubiKey OTP+FIDO+CCID",
            "risk_level": 0,
            "vendor_id": 4176
        }
    ]
}
Modified at 2026-10-20 18:32:30
Previous
Get a device policy
Next
Get a USB connection event
Built with